summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/patchsets/gentoo-headers/rip-headers.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/patchsets/gentoo-headers/rip-headers.sh b/src/patchsets/gentoo-headers/rip-headers.sh
index 0558ec35f9..10b29308c8 100644
--- a/src/patchsets/gentoo-headers/rip-headers.sh
+++ b/src/patchsets/gentoo-headers/rip-headers.sh
@@ -1,7 +1,10 @@
#!/bin/bash -ex
ver=$1
-[[ -z $ver ]] && exit 1
+if [[ -z $ver ]]; then
+ echo "Usage: $0 <kernel ver>"
+ exit 1
+fi
[[ ${ver} == linux-* ]] && ver=${ver#linux-}
ver=${ver%/}